XScreenSaver(1)

NAME
gltext - draws text spinning around in 3D

SYNOPSIS
gltext [-display host:display.screen] [-window] [-root] [-visual visual] [-delay microseconds] [-fps] [-text string] [-wander] [-no-wander] [-spin axes] [-no-spin]

DESCRIPTION
The gltext program draws some text spinning around in 3D, using a font that appears to be made of solid tubes.

OPTIONS
gltext accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-text string
    The text to display. This may contain newlines, but it shouldn't be very long. The default is to display the machine name and OS version. This may also be a format string acceptable to date(1) and strftime(3), in which case, it will be updated once a second. So to make this program display a spinning digital clock, you could do this:
        gltext -text "%A%n%d %b %Y%n%l:%M:%S %p"
    To include a literal `%', you must double it: `%%'. See the man page for strftime(3) for more details.

-fps
    Display a running tally of how many frames per second are being rendered. In conjunction with -delay 0, this can be a useful benchmark of your GL performance.

-wander
    Move the text around the screen. This is the default.

-no-wander
    Keep the text centered on the screen.

-spin
    Which axes around which the text should spin. The default is "XYZ", meaning rotate it freely in space. "-spin Z" would rotate the text in the plane of the screen while not rotating it into or out of the screen; etc.

-no-spin
    Don't spin the text at all: the same as -spin "".

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2001 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>